#include <cstdlib>
#undef _GLIBCXX_ATOMIC_BUILTINS
#include <iostream>
#include <clang-c/Index.h>

int main( int argc, char** argv ) {

 CXIndex index = clang_createIndex (
         false, // excludeDeclarationFromPCH
         true   // displayDiagnostics
 );

 CXTranslationUnit unit = clang_parseTranslationUnit (
         index,                           // CIdx
         "main.cpp",                      // source_filename
         argv + 1 ,                        // command_line_args
         argc - 1 ,                        // num_command_line_args
         0,                                // unsave_files
         0,                                // num_unsaved_files
         CXTranslationUnit_None           // options
 );
 if (unit != 0 )
         std::cout << "Translation unit successfully created" << std::endl;
 else
         std::cout << "Translation unit was not created" << std::endl;
 clang_disposeTranslationUnit(unit);
 clang_disposeIndex(index); 

}
